A Brief Analysis of SLAVC method for Sound Source Localization
======================================================

* Author    : Xavier Juanola <xavier.juanola@upf.edu>
* Author    : Gloria Haro <gloria.haro@upf.edu>

## License

Original work: MIT License

OVERVIEW
--------

This source code provides an implementation of a visual sound source localization method:

<br>
"Shentong Mo and Pedro Morgado. A closer look at weaklysupervised audio-visual source localization. In Proceedings of Advances in Neural Information Processing Systems
(NeurIPS), 2022.
https://doi.org/10.48550/arXiv.2209.09634"

This code is part of an IPOL (http://www.ipol.im/) publication. Plase cite it
if you use this code as part of your research.

REMARK
------

This repository contains part of the original SLAVC code. 
Modifications added only in the visualization part (change colormap, and thresholding). 
The inputs are identical to the original code: an image (.png) and an audio (.wav).

PACKAGES AND WEIGHTS
--------------------

The code to run is test.py with python3 and the packages listed in requirements.txt.

The weights are not provided in this repository and need to be 
downloaded into a folder. The link to download is : 
https://kiwi.cmla.ens-cachan.fr/index.php/s/yLT6TiyiwXGB54t/download?path=%2F77777000453&files=latest.pth

Structure of the files is:

    workdir
            ├── weights
            │   └── latest.pth
            ├── input_0.png
            ├── input_1.wav

...


EXECUTION
---------
Inputs requires for execution: an image (.png), an audio (.wav) and the $\alpha$ value .
The output are three images: SLAVC, OGL and VSL.

To execute the code, you must run the following command:

    python $bin/test.py  \
        --alpha $alpha
