import json
import pathlib as p
import csv


def get_files_in_dir(dir_path):  # Review

    dirpath = p.Path(dir_path)
    assert dirpath.is_dir()

    file_list = []

    for x in dirpath.iterdir():

        if x.is_file():
            file_list.append(x.stem)

        # elif x.is_dir():
        #     file_list.extend(get_path_files_in_dir(x))

    return file_list


audio_path = p.Path("/workdir/exec/inputs/audio/")
image_path = p.Path("/workdir/exec/inputs/frames/")

audio_files = get_files_in_dir(audio_path)
image_files = get_files_in_dir(image_path)

rows = []
json_file = []
for file in image_files:
    json_create = {
        "file": "",
        "class": "",
        "bbox": [
            [
                0,
                0,
                0,
                0
            ]
        ]
    }

    json_create["file"] = file
    json_file.append(json_create)
    rows.append([file])

filename = "test.csv"

# writing to csv file
with open(filename, 'w') as csvfile:
    # creating a csv writer object
    csvwriter = csv.writer(csvfile)

    # writing the data rows
    csvwriter.writerows(rows)

with open("test.json", 'w') as f:
    json.dump(json_file, f)

audio_files = set(audio_files)
image_files = set(image_files)

testset = set([item[0] for item in csv.reader(open("test.csv"))])
avail_files = audio_files.intersection(image_files)

testset = testset.intersection(avail_files)
testset = sorted(list(testset))

image_files = [dt+'.jpg' for dt in testset]
audio_files = [dt+'.wav' for dt in testset]

# print(image_files, audio_files)

# testset = set([item[0] for item in csv.reader(open(testcsv))])
